/***************************************************************************
 *                                                                         *
 *   SYNOLDDL.CPP                                                          *
 *                                                                         *
 *   Copyright (c) 1999       Galacticomm, Inc.    All Rights Reserved.    *
 *                                                                         *
 *   Active HTML File Library Old Style Download                           *
 *   Implementaion                                                         *
 *                                                                         *
 *                                                - Phil Henning 1/18/99   *
 *                                                                         *
 ***************************************************************************/

#include "gcomm.h"
#include "majorbbs.h"
#include "galacth.h"
#include "synolddl.h"

#define FILREV "$Revision: 2 $"

ACTHCODE
synOldDownload::proceed()          // proceed with synthesis
{
     if (ses->urlargc() >= 2) {
          ostrstream ost;
          ost << "http://" << ses->host() << "/library/download/";
          ost << ses->urlsfx() << ends;
          ses->redirect(ost.str());
          ost.rdbuf()->freeze(0);
     }
     return(ACTHDONE);
}

